#include <iostream>
#include <cmath>
using namespace std;

const int PS = 1000000;
int pr[PS + 1];

bool is_prime(int n){
  if (n < 2) return false;
  if (n == 2) return true;
  if (n % 2 == 0) return false;
  int d = 3;
  int sq = int(sqrt(n + 1));
  while (d <= sq)
    if (n % d == 0) return false;
    else d += 2;
  return true;
}

int reverse(int x){
  int y = 0;
  while (x){
    y = y * 10 + x % 10;
    x /= 10;
  }
  return y;
}

void gen_paliprimes(int ps){
  pr[2] = 1;
  for (int i = 3; i <= ps; i += 2)
    if (is_prime(i) && is_prime(reverse(i)))
      pr[i] = 1;
}

int prefix[PS+1];

int main(){
  gen_paliprimes(PS + 1);
  
  for (int i = 1; i < PS + 1; ++i)
    prefix[i] = prefix[i-1] + pr[i];
  int a, b;
  while (cin >> a >> b)
    cout << prefix[b] - prefix[a] + pr[a] << endl;
}

  
